wfopen  "regressionvars.xlsx" namepos=first

' Univariate Analysis

equation eqinf144.ls inflation c log(num144) log(num144(-3)) log(num144(3)) inflation(-1)
equation eqdnetexp1.ls dnetexp/1000 c log(num1) log(num1(-2)) log(num1(1)) log(num1(3)) @trend
equation eqddebtpct22.ls ddebtpct c log(num22(-3)) ddebtpct(-1) @trend
equation eqdunemp56.ls dunemp c log(num56) log(num56(-1)) log(num56(2)) dunemp(-1) dunemp(-2)
equation eqzins161.ls d(zins) c log(num161(-1)) log(num161(-3)) log(num161(1)) log(num161(2)) d(zins(-1)) d(zins(-2))

'
' VAR Model
'
matrix(5,5) ergebnisse

genr dzins = d(zins)

' Paare definieren
for %1 %2 %3 1 inflation log(num144)  2 dnetexp log(num1) 3 ddebtpct log(num22) 4 dunemp log(num56) 5 dzins log(num161)

' VAR-Modell fr inflation und num144 definieren und mit 1 Lag schtzen
var {%2}_var.ls 1 1 {%2} {%3}

' Laglngenkriterien bestimmen fr max. Laglnge 8:
' Im Vektor varlags werden in 5 Zeilen die Laglngen abgelegt,
' die sich fr die folgenden Kriterien als optimal ergeben:
' Zeile 1: LR Test
' Zeile 2: FPE
' Zeile 3: Akaike (AIC)
' Zeile 4: Schwarz (BIC, SIC)
' Zeile 5: Hannan-Quinn (HQ)
{%2}_var.laglen(6,vname=varlags)
ergebnisse(%1,1) = varlags(3)

' VAR-Modell noch einmal mit der optimalen Laglnge 
' nach AIC schtzen
' In der folgenden Zeile wird als Hilfskonstruktion zunchst
' die optimale Laglnge nach AIC (Zeile 4 von varlags) in
' eine Stringvariable "%1" bertragen, die in der zweiten
' Zeile die Laglnge angibt, d.h. lags von 1 bis %1
%4 = @str(varlags(3))
var {%2}_var.ls 1 {%4}   {%2} {%3}

'Granger-Kausalittstest
{%2}_var.testexog(name={%2}_exog)
ergebnisse(%1,2) = {%2}_exog(3,1)
ergebnisse(%1,3) = {%2}_exog(3,2)
ergebnisse(%1,4) = @chisq({%2}_exog(3,1),varlags(3) )
ergebnisse(%1,5) = @chisq({%2}_exog(3,2), varlags(3))
d varlags

next


